# RCAIDE: Research Community Aircraft Interdisciplinary Design Environment

RCAIDE is a powerful open-source Python platform that revolutionizes aircraft design and analysis. From commercial airliners to UAVs and next-generation hybrid-electric aircraft, RCAIDE provides comprehensive multi-disciplinary analysis tools backed by validated engineering methods.

## Features

- **Mission Analysis**
- **Optimization**
  - Gradient-based
  - Non-gradient-based
  - Multi-fidelity
- **Performance Analysis**
  - Payload range
  - Aerodynamic analysis
  - V-N diagrams
  - Propeller analysis
  - Takeoff Field Length Estimation
- **Weights Analysis**
  - Operating empty weight estimation
  - Component weight estimation
  - Center of gravity estimation
  - Moment of inertia estimation

## Installation

Refer to the [installation guide](https://www.docs.rcaide.leadsresearchgroup.com/install.html).

## Contributing

We welcome contributions! Please see our [contribution guidelines](https://www.docs.rcaide.leadsresearchgroup.com/contributing.html).

## Contact

For feedback, issues, or feature requests, use our [GitHub Issues](https://github.com/leadsgroup/RCAIDE_LEADS/issues) or join our [Discussions](https://github.com/leadsgroup/RCAIDE_LEADS/discussions).
